Communauté
Fusion - Français
Bienvenue sur les forums Fusion (anciennement Fusion 360) d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Fusion populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Afficher une boite de dialogue avec Python

2 RÉPONSES 2
RÉSOLU
Répondre
Message 1 sur 3
Stephd.fr
604 Visites, 2 Réponses

Afficher une boite de dialogue avec Python

Bonjour, 

J'ai un peu de mal à comprendre la philosophie de l'API Fusion 360.
Du coup je fais des petits tests pas à pas.
là j'aimerais et j'essai de faire afficher une boite de dialogue  dans un class dés le lancement du script...

pour le début du code :

 

Author-
#Description-

import adsk.core, adsk.fusion, adsk.cam, traceback


handlers = []

activeDoc = None

unit = 'mm'


def run(context):
    ui = None
    try:
        app = adsk.core.Application.get()
        ui  = app.userInterface
        # pour tester que le code se lance bien
        ui.messageBox('Hello script')

         # avec ce qui suit je pensais appeler la class 
         # SingleHoleCommandCreatedHandler qui contient la BDD
         # et l'afficher

        handlers.append(SingleHoleCommandCreatedHandler())
    except:
        if ui:
            ui.messageBox('Failed:\n{}'.format(traceback.format_exc()))

 

 

Puis ici la class en question c'est un bout de code repris que un autre script, qui une fois que j'en serait a lancer la class d’affichage de la bdd , je vérifiai si le code est fonctionnel... mais là je n'arrive meme pas a appeler la class.

 

class SingleHoleCommandCreatedHandler(adsk.core.CommandCreatedEventHandler):
    def __init__(self):
        super().__init__()

    def notify(self, args):
        try:
            app = adsk.core.Application.get()
            ui = app.userInterface

            global activeDoc
            activeDoc = app.activeDocument

            # Define the command dialog.
            cmd = adsk.core.Command.cast(args.command)
            cmdInputs = cmd.commandInputs

            planeInput = cmdInputs.addSelectionInput('planeSelect', 'Select Plane', 'Select Plane')
            planeInput.addSelectionFilter('PlanarFaces')
            planeInput.setSelectionLimits(1)

            onExecute = SingleHoleCommandExecuteHandler()
            cmd.execute.add(onExecute)
            handlers.append(onExecute)

        except:
            app = adsk.core.Application.get()
            ui = app.userInterface
            ui.messageBox('Failed:\n{}'.format(traceback.format_exc()))

 

 J'ai bien étudié d'autres bouts de script, mais tout ce que j'ai regardé, crées un bouton dans un des menus du bandeau, et ce n'est pas ce que je veux dans ce test, c'est vraiment activer la bdd dés le lancement du script.

merci de votre aide, et conseil 

a+

steph

2 RÉPONSES 2
Message 2 sur 3
Kevin_Megel
en réponse à: Stephd.fr

Hello, je ne connais pas l'API de Fusion, mais d'apres cette page : http://help.autodesk.com/view/fusion360/ENU/?guid=GUID-9701BBA7-EC0E-4016-A9C8-964AA4838954

 

il faut cocher lors de la création "run on startup"

Kevin Megel
Ce post vous a été utile ? N'hésitez pas à aimer ce post.
Ce post a-t-il répondu à votre question ? Cliquez sur le bouton Accepter la solution.

EESignature

Je suis un simple utilisateur, je ne travaille pas pour Autodesk

Message 3 sur 3
patrick.emin
en réponse à: Stephd.fr

Bonjour @Stephd.fr 

Si une des réponses résout votre problème ou vous a permis de mieux le comprendre, voulez vous avoir l'amabilité de cliquer sur le bouton "Approuver la solution" en bas de la réponse qui apporte une solution?
Merci de ne pas accepter comme solution le message que vous êtes en train de lire.


Patrick Emin animateur de la communauté francophone


Vous avez trouvé un message utile? Alors donnez un "J'aime" à ce message!
Votre question a eu une réponse satisfaisante? Voulez vous avoir l'amabilité de cliquer sur le bouton
 APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Signez notre Livre d'Or

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report